Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 575024 - =sys-kernel/gentoo-sources-{3.10.97,3.14.61,3.18.27,4.1.18} breaks cryptsetup ( aes-xts-plain64 )
Summary: =sys-kernel/gentoo-sources-{3.10.97,3.14.61,3.18.27,4.1.18} breaks cryptsetup...
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-18 10:21 UTC by Branko Grubic
Modified: 2016-04-20 12:07 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Branko Grubic 2016-02-18 10:21:19 UTC
After upgrading from sys-kernel/gentoo-sources-4.1.17 to 4.1.18 it stopped booting my system, rootfs is on LUKS device, I booted to old kernel and it was fine, also tried some debugging, testing old initramfs, testing/re-generating initramfs for old kernel (I think libgcrypt was recently updated), but still latest kernel fails.

Other people having same problem:
https://bbs.archlinux.org/viewtopic.php?id=209034
https://bugzilla.kernel.org/show_bug.cgi?id=112631
https://www.spinics.net/lists/stable/msg120346.html
Comment 1 Thomas Deutschmann gentoo-dev Security 2016-02-20 14:34:27 UTC
v3.10.97, v3.14.61 and 3.18.27 are also affected.

v4.3.6 works.

v3.12.54 works, too because it doesn't contain the broken patch in question.
Comment 2 Stijn Tintel 2016-02-24 11:53:28 UTC
Ran into this problem as well. As explained in the upstream bug report, it can be fixed by applying 2 patches:

http://patchwork.ozlabs.org/patch/574265/
http://patchwork.ozlabs.org/patch/574267/

Tested this on 4.1.18 and it solves the problem for me.
Comment 3 Thomas Deutschmann gentoo-dev Security 2016-02-24 11:59:26 UTC
If you follow the recent mails the first proposed patch (which just the 2 patches) is incomplete. You could also argue that dropping the incomplete patches which were added in 4.1.18 and introduced the problems could be a better solution.

For 4.1, latest proposed patch set is https://mbroz.fedorapeople.org/tmp/4.1/
Comment 4 Thomas Deutschmann gentoo-dev Security 2016-03-13 16:34:44 UTC
The following kernel(s) are fixed:

>=sys-kernel/gentoo-sources-4.1.19


The following kernels are still affected:

<=sys-kernel/gentoo-sources-3.10.100
<=sys-kernel/gentoo-sources-3.14.64
<=sys-kernel/gentoo-sources-3.18.28


However =sys-fs/cryptsetup-1.7.1 contains a workaround.
Comment 5 Thomas Deutschmann gentoo-dev Security 2016-04-17 13:29:59 UTC
The following kernels are now fixed (fixed by revertion):

=sys-kernel/gentoo-sources-3.10.101
=sys-kernel/gentoo-sources-3.14.65


The following kernel is still affected:

<=sys-kernel/gentoo-sources-3.18.28
Comment 6 Thomas Deutschmann gentoo-dev Security 2016-04-20 12:07:48 UTC
=sys-kernel/gentoo-sources-3.18.31 finally contains the patch set.

Closing because all LTS kernels are now fixed or no longer affected.